import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

import 'package:senior_design_tokens/senior_design_tokens.dart';
import 'package:senior_design_system/senior_design_system.dart';

class TimelineExample extends StatelessWidget {
  const TimelineExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Timeline(
          children: [
             Container(
               color: Colors.amber,
               height: 100,
               width: 120,
             ),
            Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text('Status atual'),
                Text('23/03/2022 - 15h56'),
              ],
            ),
            Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text('Status atual'),
                Text('23/03/2022 - 15h56'),
              ],
            ),
            Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text('Status atual'),
                Text('23/03/2022 - 15h56'),
              ],
            ),
            Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text('Status atual'),
                Text('23/03/2022 - 15h56'),
              ],
            ),
          ],
          indicators: [
            SeniorTimelineIndicator(
              color: SeniorColors.secondaryColor,
              icon: FontAwesomeIcons.hourglassHalf,
              iconColor: SeniorColors.pureWhite,
            ),
            SeniorTimelineIndicator(
              color: SeniorColors.manchesterColorGreen,
              icon: FontAwesomeIcons.check,
              iconColor: SeniorColors.pureWhite,
            ),
            SeniorTimelineIndicator(
              color: SeniorColors.manchesterColorYellow,
              icon: FontAwesomeIcons.exclamation,
              iconColor: SeniorColors.pureWhite,
            ),
            SeniorTimelineIndicator(
              color: SeniorColors.manchesterColorGreen,
              icon: FontAwesomeIcons.check,
              iconColor: SeniorColors.pureWhite,
            ),
            SeniorTimelineIndicator(
              color: SeniorColors.manchesterColorGreen,
              icon: FontAwesomeIcons.check,
              iconColor: SeniorColors.pureWhite,
            ),
          ],
        ),
        Text(
          'Fim do componente Timeline',
          style: SeniorTypography.cta(
            color: SeniorColors.neutralColor800,
          ),
        )
      ],
    );
  }
}
